Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805729 - Review Request: gfs-orpheus-sans-fonts - A 21st century monolinear Greek font family
Summary: Review Request: gfs-orpheus-sans-fonts - A 21st century monolinear Greek font...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 12:53 UTC by Nicolas Mailhot
Modified: 2020-02-24 23:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-24 23:03:48 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 12:53:29 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240834-gfs-orpheus-sans-fonts/gfs-orpheus-sans-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240834-gfs-orpheus-sans-fonts/gfs-orpheus-sans-fonts-20161102-1.fc33.src.rpm

Description:
GFS Orpheus Sans is a monolinear version of GFS Orpheus. The experiment of
designing a monolinear typeface based on the original, constrasted typeface,
clearly shows the innovative design ideas that were incorporated in the
original typeface; ideas similar to those of a modern sans serif typeface with
clean monolinear strokes and balanced proportions.

GFS Orpheus Sans was designed by George Triantafyllakos.

Fedora Account System Username: nim


Another GFS font family, to bring the GFS catalog in Fedora to 100%


The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 1 Parag AN(पराग) 2020-02-24 12:33:55 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: gfs-orpheus-sans-fonts-20161102-1.fc33.noarch.rpm
          gfs-orpheus-sans-fonts-doc-20161102-1.fc33.noarch.rpm
          gfs-orpheus-sans-fonts-20161102-1.fc33.src.rpm
gfs-orpheus-sans-fonts.noarch: W: spelling-error Summary(en_US) monolinear -> mono linear, mono-linear, nonlinear
gfs-orpheus-sans-fonts.noarch: W: spelling-error %description -l en_US monolinear -> mono linear, mono-linear, nonlinear
gfs-orpheus-sans-fonts.noarch: W: spelling-error %description -l en_US constrasted -> contrasted, constrained, constructed
gfs-orpheus-sans-fonts-doc.noarch: W: summary-not-capitalized C gfs-orpheus-sans-fonts optional documentation files
gfs-orpheus-sans-fonts-doc.noarch: E: description-line-too-long C This package provides optional documentation files shipped with gfs-orpheus-sans-fonts.
gfs-orpheus-sans-fonts-doc.noarch: E: non-readable /usr/share/doc/gfs-orpheus-sans-fonts-doc/GFS_Orpheus_Sans_Specimen.pdf 640
gfs-orpheus-sans-fonts.src: W: spelling-error Summary(en_US) monolinear -> mono linear, mono-linear, nonlinear
gfs-orpheus-sans-fonts.src: W: spelling-error %description -l en_US monolinear -> mono linear, mono-linear, nonlinear
gfs-orpheus-sans-fonts.src: W: spelling-error %description -l en_US constrasted -> contrasted, constrained, constructed
3 packages and 0 specfiles checked; 2 errors, 7 warnings.

Source checksums
----------------
http://www.greekfontsociety-gfs.gr/_assets/fonts/GFS_Orpheus_Sans.zip :
  CHECKSUM(SHA256) this package     : 9c03383219868c0ca2aabcdd3e0bb8b22e942ccf03f3221cd8270dbaaf54bb92
  CHECKSUM(SHA256) upstream package : 9c03383219868c0ca2aabcdd3e0bb8b22e942ccf03f3221cd8270dbaaf54bb92


Requires
--------
gfs-orpheus-sans-fonts (rpmlib, GLIBC filtered):
    config(gfs-orpheus-sans-fonts)
    fontpackages-filesystem

gfs-orpheus-sans-fonts-doc (rpmlib, GLIBC filtered):



Provides
--------
gfs-orpheus-sans-fonts:
    config(gfs-orpheus-sans-fonts)
    font(gfsorpheussans)
    gfs-orpheus-sans-fonts
    metainfo()
    metainfo(org.fedoraproject.gfs-orpheus-sans-fonts.metainfo.xml)

gfs-orpheus-sans-fonts-doc:
    gfs-orpheus-sans-fonts-doc


All other things like license, config, metainfo files looks good.

Issues:
1) Fix the rpmlint/errors warnings before this package import

APPROVED

Comment 2 Nicolas Mailhot 2020-02-24 20:24:56 UTC
Fixed the warnings. Thanks for the review!

https://pagure.io/releng/fedora-scm-requests/issue/22484

Comment 3 Gwyn Ciesla 2020-02-24 20:48:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gfs-orpheus-sans-fonts

Comment 4 Nicolas Mailhot 2020-02-24 23:03:48 UTC
And this one is done for F32 & F33. Thanks Parag and Gwyn.


Note You need to log in before you can comment on or make changes to this bug.